%define version 1.26
%define name lacheck
%define release 2mdk

Summary: 	A general purpose consistency checker for LaTeX documents.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Text tools
Source: 	%{name}-%{version}.tar.bz2
Buildroot:  /var/tmp/%{name}-buildroot

%description
LaCheck is a general purpose consistency checker for LaTeX documents.
It reads a LaTeX document and displays warning messages, if it finds
bad sequences. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi 

make -j$NRPROC prefix=/usr 

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1

install -m 755 lacheck $RPM_BUILD_ROOT/usr/bin/
install -m 644 lacheck.man $RPM_BUILD_ROOT/usr/man/man1/

%files
%defattr (-,root,root)
/usr/bin/*
/usr/man/man1/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.26-2mdk
- fix group

* Wed Mar 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
initial revision for lacheck 1.26    
